#-----------------------------------------------------------------------------
#
# Check /usr/etc/arp for SGID bits.
#

$file = '/usr/etc/arp';
&pcheck($file);
if (-g $file) {
  &report("DANGER: SGID $file vulnerability\n",
    "  To fix: \"chmod -s $file\"\n\n");
  &failed;
  }    
else {
  &report("INFO:  $file is not SGID.  This is good.\n");
  &passed;
  }

exit 0;

